const svg = d3.select('#ring-chart-container');
const body = d3.select('#ring-chart-body');
plotConfig = getRingChartConfig();
const margin = plotConfig.margin;
const innerHeight = +plotConfig.innerHeight;
const innerWidth = +plotConfig.innerWidth;
const centerX = +plotConfig.centerX;
const centerY = +plotConfig.centerY;

const line = svg.append('line');

svg.on('mousemove', () => {
  const x = d3.event.x;
  const y = d3.event.y;
  line
    .attr('x1', centerX)
    .attr('y1', centerY)
    .attr('x2', d3.event.x)
    .attr('y2', d3.event.y)
  .attr('stroke-width','1px')
  .attr('stroke','#6b6b6b')
  .attr('pointer-events','none')
});
